function::raise
Prev | Chapter 27. Guru tapsets | Next

## Name

function::raise — raise a signal in the current thread

## Synopsis

        raise(signo:long)

## Arguments

`signo`

  signal number

## Description

This function calls the kernel send_sig routine on the current thread, with the given raw unchecked signal number. It may raise an error if `send_sig` failed. It requires guru mode.

Prev | Up | Next
function::panic | Home | function::udelay